Bug 250587 - net-mgmt/pushgateway: Update to 1.3.0
Summary: net-mgmt/pushgateway: Update to 1.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-24 23:57 UTC by Gabriel Dutra
Modified: 2020-11-22 16:47 UTC (History)
2 users (show)

See Also:
aduitsis: maintainer-feedback+


Attachments
Pushgateway (8.51 KB, text/plain)
2020-10-24 23:57 UTC, Gabriel Dutra
no flags Details
Pushgateway version 0.10.0 (8.35 KB, text/plain)
2020-10-28 02:22 UTC, Gabriel Dutra
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriel Dutra 2020-10-24 23:57:01 UTC
Created attachment 219044 [details]
Pushgateway

Hi,

I made some improvements to the "pushgateway" port. I removed the pkg-plist file and fixed portlint errors.

Tested on:

FreeBSD CURRENT - amd64, i386
FreeBSD 12.1    - amd64, i386
FreeBSD 11.4    - amd64, i386


I am interested in taking over the maintenance of this port.
Comment 1 Athanasios Douitsis 2020-10-25 13:47:57 UTC
(In reply to Gabriel Dutra from comment #0)

Hello, yes, thank you very much. I will gladly transfer maintenance of this port to you.
Comment 2 Rainer Hurling freebsd_committer 2020-10-25 19:17:37 UTC
(In reply to Athanasios Douitsis from comment #1)
Hi Athanasios,

Could you also give your maintainer-feedback in the flags topic (? -> +), as discussed in private mail this afternoon, please? Thanks in advance :)
Comment 3 Athanasios Douitsis 2020-10-25 23:06:46 UTC
(In reply to Rainer Hurling from comment #2)

With my apologies for not being able to continue maintaining this port at present. Please, transfer ownership to Gabriel, which kindly offered to replace me. Gabriel and Rainer, many thanks.
Comment 4 Gabriel Dutra 2020-10-26 00:27:53 UTC
Athanasios,

Thank you very much!!
Comment 5 Rainer Hurling freebsd_committer 2020-10-27 07:17:16 UTC
Thanks, Athanasios, for your reply.

@Gabriel: Are you aware of the changes of the storage format, introduced in version 0.10.0[1]?

Release 1.0.0[2] suggests, to first update to version 0.10.0 to be able to convert into the new storage format:

"This release does not support the storage format of v0.5–v0.9 anymore. Only persistence files created by v0.10+ are usable. Upgrade to v0.10 first to convert existing persistence files."

I can't tell if there should not be at least one warning for users on FreeBSD. What do you think?


[1] https://github.com/prometheus/pushgateway/releases/tag/v0.10.0
[2] https://github.com/prometheus/pushgateway/releases/tag/v1.0.0
Comment 6 Gabriel Dutra 2020-10-27 14:51:17 UTC
Rainer,

I believe that checking changelogs comes from the user of the port, but I find it interesting that this is notified. Do you have any idea how I can do this? email list?
Comment 7 Rainer Hurling freebsd_committer 2020-10-27 16:52:42 UTC
(In reply to Gabriel Dutra from comment #6)
I believe that checking changelogs comes from the user of the port, but I find it interesting that this is notified. Do you have any idea how I can do this? email list?

Hi Gabriel,

I think we are not talking about the same thing?

As far as I understand, the storage format of the persistence files ofpushgateway has changed from version 0.10.0 on. I a user wants to update from version 0.9.1 to the new version 1.3.0, he is not able to use the existing persistence files of version 0.9.1 anymore. If he wants to migrate them, he has to do an intermediate step via version 0.10.0. At least this is, what we can read in the release notes of versions 0.10.0 and 1.0.0.

If you want to help FreeBSD users of pushgateway to migrate their persistence files, you should update the port to version 0.10.0 first and let users convert their files. After some time (under the assumption that most have migrated), the next step to >= 1.3.0 can start ...

Just a possible scenario. I have no experience with pushgateway and can't help here to decide about the best strategy ;)
Comment 8 Gabriel Dutra 2020-10-28 02:22:20 UTC
Created attachment 219163 [details]
Pushgateway version 0.10.0

Rainer,

We will follow the strategy of migrating to version 0.10.0 for users to convert persistent data. A month from now, we’ve moved to version 1.x of the pushgateway. I will send an email notifying you of the change.
Comment 9 Rainer Hurling freebsd_committer 2020-11-10 18:34:20 UTC
Version 0.10.0 is in the review process[1] now :)

[1] https://reviews.freebsd.org/D27165
Comment 10 commit-hook freebsd_committer 2020-11-10 20:05:06 UTC
A commit references this bug:

Author: rhurlin
Date: Tue Nov 10 20:04:42 UTC 2020
New revision: 554855
URL: https://svnweb.freebsd.org/changeset/ports/554855

Log:
  net-mgmt/pushgateway: Update to 0.10.0

  This release changes the storage format. v0.10 can read the storage format
  of v0.5?v0.9. It will then persist the new format so that a downgrade
  won't be possible anymore[1].

  [1] https://github.com/prometheus/pushgateway/releases/tag/v0.10.0

  For this port 0.10.0, it is intended to replace it with a version >= 1.3.x
  from about four weeks on. So there will be four weeks for the migration.

  PR:		250587
  Submitted by:	Gabriel Dutra <0xdutra@gmail.com> (new maintainer)
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D27165

Changes:
  head/net-mgmt/pushgateway/Makefile
  head/net-mgmt/pushgateway/distinfo
  head/net-mgmt/pushgateway/pkg-plist
Comment 11 Rainer Hurling freebsd_committer 2020-11-10 20:08:43 UTC
Committed, thanks!

I changed the maintainer to your address and removed the pkg-plist file ;)

And please open a new PR for version >= 1.3.0 in about four weeks ...
Comment 12 commit-hook freebsd_committer 2020-11-22 16:47:21 UTC
A commit references this bug:

Author: rhurlin
Date: Sun Nov 22 16:46:31 UTC 2020
New revision: 556063
URL: https://svnweb.freebsd.org/changeset/ports/556063

Log:
  MFH: r554855

  net-mgmt/pushgateway: Update to 0.10.0

  This release changes the storage format. v0.10 can read the storage format
  of v0.5?v0.9. It will then persist the new format so that a downgrade
  won't be possible anymore[1].

  [1] https://github.com/prometheus/pushgateway/releases/tag/v0.10.0

  For this port 0.10.0, it is intended to replace it with a version >= 1.3.x
  from about four weeks on. So there will be four weeks for the migration.

  PR:		250587
  Submitted by:	Gabriel Dutra <0xdutra@gmail.com> (new maintainer)
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D27165

  Approved by:	ports-secteam (fluffy)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/net-mgmt/pushgateway/Makefile
  branches/2020Q4/net-mgmt/pushgateway/distinfo
  branches/2020Q4/net-mgmt/pushgateway/pkg-plist